View Issue Details

IDProjectCategoryView StatusLast Update
0032507Open CASCADEOCCT:Visualizationpublic2021-09-11 14:06
Reporterkgv Assigned Tosmoskvin  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version7.6.0 
Target Version7.6.0Fixed in Version7.6.0 
Summary0032507: Visualization, TKOpenGl - topmost text disappears with Graphic3d_RTM_DEPTH_PEELING_OIT enabled
DescriptionIn some case enabling Graphic3d_RTM_DEPTH_PEELING_OIT leads to random topmost elements to disappear from screen.
Steps To Reproduce
pload MODELING VISUALIZATION
vinit View1
box b 1 2 3
vdisplay b -dispMode 1
#vaspects b -transparency 0.5
vfit
vlight   headlight -display
vdisplay headlight -2d bottomright 120 50
vlight   amblight  -display
vdisplay amblight  -2d bottomright  50 50
vrenderparams -perfCounters fps|triangles
# OK, FPS meter is displayed
vrenderparams -oit peel
# KO, FPS meter is lost
TagsNo tags attached.
Test case numbertests\opengl\data\transparency\oit_osdtext_bug

Activities

mkrylova

2021-08-04 17:09

developer   ~0102983

Analysis

mkrylova

2021-08-06 16:08

developer   ~0103036

Solution elaboration

mkrylova

2021-09-03 17:20

developer   ~0103733

Solution Elaboration

git

2021-09-09 15:59

administrator   ~0103939

Branch CR32507 has been created by svetlana.shutina_170290.

SHA-1: 5863d8fc4337f5df917fde9c2d55ba69a5524d61


Detailed log of new commits:

Author: sshutina
Date: Thu Sep 9 15:42:17 2021 +0300

    0032507: Visualization, TKOpenGl - topmost text disappears with Graphic3d_RTM_DEPTH_PEELING_OIT enabled

git

2021-09-09 17:49

administrator   ~0103940

Branch CR32507 has been updated by svetlana.shutina_170290.

SHA-1: 5e4df484d1be439b02bd1983bd1c9c11021671ef


Detailed log of new commits:

Author: sshutina
Date: Thu Sep 9 17:33:35 2021 +0300

    #fix remarks

git

2021-09-09 17:55

administrator   ~0103941

Branch CR32507_1 has been created by svetlana.shutina_170290.

SHA-1: 81f09f2752fd059c79b77cd4edf58e09848a3640


Detailed log of new commits:

Author: sshutina
Date: Thu Sep 9 17:54:13 2021 +0300

    0032507: Visualization, TKOpenGl - topmost text disappears with Graphic3d_RTM_DEPTH_PEELING_OIT enabled

sshutina

2021-09-09 17:57

developer   ~0103942

Dear Kirill,
could you please review it.

Tests are successfully: http://jenkins-test-occt/view/CR32507-master-sshutina/view/ALL/.

BR, Svetlana.

kgv

2021-09-09 18:10

developer   ~0103944

Please raise the patch
- OCCT: branch CR32507_1.

sshutina

2021-09-09 18:35

developer   ~0103949

Analysis

sshutina

2021-09-09 18:35

developer   ~0103950

Solution Elaboration

kgv

2021-09-10 11:52

developer   ~0103979

smoskvin

2021-09-11 13:27

administrator   ~0104015

Combination -
OCCT branch : IR-2021-09-10
master SHA - 9ae883970dd77a39d856b49e6883ed5d0e60d20f
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-09-10 SHA - 2d2bc879e2da9d770a1938ab3410f5885c8555e7
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17358.54000000042 / 17496.500000000422 [-0.79%]
Products
Total CPU difference: 11397.800000000112 / 11567.680000000111 [-1.47%]
Windows-64-VC14:
OCCT
Total CPU difference: 19328.109375 / 19307.609375 [+0.11%]
Products
Total CPU difference: 12733.328125 / 12920.953125 [-1.45%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-09-11 14:06

administrator   ~0104043

Branch CR32507 has been deleted by mnt.

SHA-1: 5e4df484d1be439b02bd1983bd1c9c11021671ef

git

2021-09-11 14:06

administrator   ~0104044

Branch CR32507_1 has been deleted by mnt.

SHA-1: 81f09f2752fd059c79b77cd4edf58e09848a3640

Related Changesets

occt: master 7d7541ce

2021-09-09 14:54:13

sshutina


Committer: smoskvin Details Diff
0032507: Visualization, TKOpenGl - topmost text disappears with Graphic3d_RTM_DEPTH_PEELING_OIT enabled Affected Issues
0032507
mod - src/OpenGl/OpenGl_DepthPeeling.hxx Diff File
mod - src/OpenGl/OpenGl_LayerList.cxx Diff File
add - tests/opengl/data/transparency/oit_osdtext_bug Diff File

Issue History

Date Modified Username Field Change
2021-07-30 22:50 kgv New Issue
2021-07-30 22:50 kgv Assigned To => mkrylova
2021-07-30 22:50 kgv Status new => assigned
2021-07-30 22:54 kgv Summary Visualization - topmost text disappears with Graphic3d_RTM_DEPTH_PEELING_OIT enabled => Visualization, TKOpenGl - topmost text disappears with Graphic3d_RTM_DEPTH_PEELING_OIT enabled
2021-08-04 17:09 mkrylova Note Added: 0102983
2021-08-06 16:08 mkrylova Note Added: 0103036
2021-09-03 17:20 mkrylova Note Added: 0103733
2021-09-06 16:18 kgv Assigned To mkrylova => sshutina
2021-09-09 15:59 git Note Added: 0103939
2021-09-09 17:49 git Note Added: 0103940
2021-09-09 17:55 git Note Added: 0103941
2021-09-09 17:57 sshutina Note Added: 0103942
2021-09-09 17:57 sshutina Assigned To sshutina => kgv
2021-09-09 17:57 sshutina Status assigned => resolved
2021-09-09 18:07 kgv Assigned To kgv => bugmaster
2021-09-09 18:07 kgv Status resolved => reviewed
2021-09-09 18:10 kgv Note Added: 0103944
2021-09-09 18:11 sshutina Test case number => tests\opengl\data\transparency\oit_osdtext_bug
2021-09-09 18:35 sshutina Note Added: 0103949
2021-09-09 18:35 sshutina Note Added: 0103950
2021-09-10 11:52 kgv Note Added: 0103979
2021-09-11 13:27 smoskvin Note Added: 0104015
2021-09-11 13:27 smoskvin Status reviewed => tested
2021-09-11 13:43 smoskvin Changeset attached => occt master 7d7541ce
2021-09-11 13:43 smoskvin Assigned To bugmaster => smoskvin
2021-09-11 13:43 smoskvin Status tested => verified
2021-09-11 13:43 smoskvin Resolution open => fixed
2021-09-11 14:06 git Note Added: 0104043
2021-09-11 14:06 git Note Added: 0104044